import {Component} from '@angular/core';
import {DataCardService} from 'facade-api';
import {DataSourceService} from '../services/data-source.service';

@Component({
  selector: 'app-no-active-pathway',
  templateUrl: './no-active-pathway.component.html',
  styleUrls: ['./no-active-pathway.component.scss']
})
export class NoActivePathwayComponent{

  constructor(
    private dataCardService: DataCardService,
    private dataSourceService: DataSourceService
  ) {}

  public createPathway(): void {
    this.dataCardService.maternityDataCardCreate().subscribe(() => {
      this.dataSourceService.refresh();
    });
  }
}
